Bug 1339685 - image pruning errors with "unknown: unknown error"
Summary: image pruning errors with "unknown: unknown error"
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image Registry
Version: 3.1.0
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: ---
Assignee: Michal Minar
QA Contact: Wei Sun
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-25 15:28 UTC by Joel Diaz
Modified: 2017-02-07 09:44 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-07 09:44:19 UTC
Target Upstream Version:


Attachments (Terms of Use)
oadm prune output with loglevel=8 (2.85 MB, application/x-xz)
2016-05-25 15:28 UTC, Joel Diaz
no flags Details

Description Joel Diaz 2016-05-25 15:28:09 UTC
Created attachment 1161485 [details]
oadm prune output with loglevel=8

Description of problem:
Attempting to prune images errors out with messages like:
sha256:04b68a0ab6f9bc07bd8d97510e70a0369bc137f8d4a22a18ec72b8ed93e2b606
error deleting blob sha256:04b68a0ab6f9bc07bd8d97510e70a0369bc137f8d4a22a18ec72b8ed93e2b606 from the registry: unknown: unknown error

Version-Release number of selected component (if applicable):
atomic-openshift-3.1.1.6-3.git.18.5aabe62.el7aos.x86_64
atomic-openshift-sdn-ovs-3.1.1.6-3.git.18.5aabe62.el7aos.x86_64
atomic-openshift-master-3.1.1.6-3.git.18.5aabe62.el7aos.x86_64
atomic-openshift-clients-3.1.1.6-3.git.18.5aabe62.el7aos.x86_64
tuned-profiles-atomic-openshift-node-3.1.1.6-3.git.18.5aabe62.el7aos.x86_64
atomic-openshift-node-3.1.1.6-3.git.18.5aabe62.el7aos.x86_64

How reproducible:
Every time.


Steps to Reproduce:
1. run 'oadm prune images --keep-younger-than 24h --keep-tag-revisions 5 --token <pruning service account token> --confirm'
2.
3.

Actual results:
Deleting registry layer blobs ...
BLOB
sha256:04b68a0ab6f9bc07bd8d97510e70a0369bc137f8d4a22a18ec72b8ed93e2b606
error deleting blob sha256:04b68a0ab6f9bc07bd8d97510e70a0369bc137f8d4a22a18ec72b8ed93e2b606 from the registry: unknown: unknown error
sha256:c6bead667fc45e0c911b67842d6cd39ff786efda1d2ddd856441ce66de5727a1
error deleting blob sha256:c6bead667fc45e0c911b67842d6cd39ff786efda1d2ddd856441ce66de5727a1 from the registry: unknown: unknown error

Expected results:
Successful image pruning.

Additional info:

Comment 2 Michal Fojtik 2016-10-27 07:58:01 UTC
Refactoring is still pending.

Comment 3 Joel Diaz 2017-02-03 21:03:56 UTC
FYI, this bug can no longer be reproduced (maybe fixed itself as part of the upgrades to 3.3).

Comment 4 Michal Minar 2017-02-07 09:44:19 UTC
I'm glad to hear that. I'm closing it. Let's re-open if someone hits this again.


Note You need to log in before you can comment on or make changes to this bug.